#pragma once

#include <stddef.h>
#include <stdint.h>

#pragma pack(push, 1)
struct sao_input_config {
    uint8_t test;
    uint8_t service;
    uint8_t up;
    uint8_t down;
    uint8_t enter;
    uint8_t coin;

    uint8_t stick_up;
    uint8_t stick_down;
    uint8_t stick_left;
    uint8_t stick_right;

    uint8_t stick_btn1;
    uint8_t stick_btn2;
    uint8_t stick_btn3;
    
    uint8_t btn1;
    uint8_t btn2;
    uint8_t btn3;
};
#pragma pack(pop)

void sao_io_config_load(struct sao_input_config *cfg, const wchar_t *filename);